PUT
/notebooks/{Notebook_Id}/mounted-pfs/
curl --request PUT \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/{Notebook_Id}/mounted-pfs/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "action": "mount or unmount", "pfs_ids": [ 504 ], "pfs_path": "/pfs"}'import requests
response = requests.put( "https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/{Notebook_Id}/mounted-pfs/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "action": "mount or unmount", "pfs_ids": [ 504, ], "pfs_path": "/pfs", },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/{Notebook_Id}/mounted-pfs/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "PUT", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "action": "mount or unmount", "pfs_ids": [ 504 ], "pfs_path": "/pfs" }),});console.log(await response.json());Kindly choose request example mount for mounting update and unmount for unmounting.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Notebook_Id
required
integer
Notebook ID
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
Request Body
Section titled “Request Body”Media typeapplication/json
object
action
required
string
Example
mount or unmountpfs_ids
required
Array<integer>
Example
[ 504]pfs_path
required
string
Example
/pfsResponses
Section titled “Responses”default
Section titled “default”Response